BANK WOORI SAUDARA - Support #2095

ESS Mutasi
03/30/2023 11:47 AM - Fiona Avangeline Jonathan

Status: Closed
Priority: Urgent
Assignee: Fiona Avangeline Jonathan
Category:

Target version:

Start date:
Due date:
% Done:
Estimated t

Spent time:

03/30/2023

0%

ime: 0.00 hour
15.00 hours

Description
Mas Azid,

Mohon dibantu untuk ESS Mutasi.
Body

B Mutation

StartDate: |

EndDate: 12/31/9999

Employee ID To: | Poin 1 o ‘ o

Movement Reason To:

Position To: | Q ‘

Organization Unit To:

Employee Area To:

Grade To:

Employee Level Type
To:

Employee Office To: |

\h—-"‘ Poin 2

Job: \

Poin 3

1. Field Employee ID To akan lookup Employee ID bawahan dari requester.

Contoh data: Requester ID 00001454

Employee ID yang akan muncul: 00001455, 00001456, 00001457, 00001458

Employee Type To: - ‘ o
Employee Function

To: M ‘ o
Employee Level

Function To: N ‘ o
Request Reason:

Receive Reason:

Employee Status To: o

MNotes:

Flag To:

2. Untuk field2 yang dikotakin digambar, akan otomatis load data dari PHRPA0002 EmployeelD yang dipilih di field EmployeelDTo.

3. Untuk posisi yang bisa dipilih hanya posisi yang kosong (belum ada relasi dengan Employee). Jika user memilih posisi yang
sudah ada employee nya, maka akan muncul pop-up kalau posisi tidak kosong.

Terima kasih.

Port: http://bws.minovaiscloud.com:31128/

History

#1 - 03/30/2023 11:48 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

07/03/2025
http://bws.minovaiscloud.com:31128/

#2 - 03/30/2023 05:33 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , udah bisa di test ya

package :

Sdatatabefield (field empidmut & position)
- lookup funtion

- search function

bizpro (beforesubmit)

custparam :
- YNGetPAO2Data
- YNGetEMPBYyFilter

note untuk pribadi : lookup search employee PDSMEO0002 itu bentrok sama headerWF hanya di workflow jadi butuh before submitnya setValue
employeelD berdasarkan Requester karena jika tidak pada saat create yg ngajuin pas dia milih employeelD
makasih

#3 - 03/31/2023 09:13 AM - Fiona Avangeline Jonathan
- File clipboard-202303310912-1e4qz.png added

- File clipboard-202303310912-zcmhw.png added

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

Mas Azid,

Mohon dibantu setelah di cek masih ada beberapa error yang ditemukan
1. EmployeelD di header masih ikutan berubah saat memilih EmployeelD di body.

Header
Requester ID: 0001454 Employee ID: 00001455 Q
Requester Name: Firmansyah
Subject: [ | o

Description:

= mMutation
StartDate: 31/03/2023 = Employee Type To: Permanent -
EndDate: Employee Function
12/31/9999 To: SPV MKT -
Employee ID To: FR— 7 ol o Employee Level -
Function To:
Movement Reason To: _ |l -

2. Saat memilih position walaupun kosong, pop-up message error nya tetap muncul.
Terima kasih.

#4 - 03/31/2023 10:32 AM - Fiona Avangeline Jonathan
- File clipboard-202303311029-apimm.png added

Penambahan:
1. Untuk yang di kotak merah field nya, di autofill sesuai PHRPA0002 orang tsb

Mutation
StartDate: 31/03/2023 B Employee Type To: Contract
EndDate: 12/31/9990 _IlE_'r;r:ployee Function PV KT
Employee ID To: 00001456 x Q Employee Level
Function To:
Movement Reason To:

Request Reason:

Position To:
Q

Organization Unit To:
Receive Reason:

Job:
Employee Area To: Wilayah | -
Employee Status To: .
Grade To | - | Active
Notes:
Employee Office To: | - |
Employee Level Type
To:p Y P STAFF -
Flag To:

2. Untuk validasi posisi, diubah saat klik tombol create baru di cek apakah posisi yang dipilih baru itu ada karyawan/tidak.
3. Menambahkan validasi jika tidak ada data yang diubah maka muncul pop-up warning.

Terima kasih.

#5 - 04/03/2023 09:24 AM - Fiona Avangeline Jonathan
- File clipboard-202304030924-nigpz.png added
Validasi jika tidak ada data autofill yang diubah sudah ada.

warning

Dats tidsk ada yang diubsh

#6 - 04/03/2023 09:45 AM - Fiona Avangeline Jonathan
- File clipboard-202304030945-xi5vk.png added

Autofill PA02 sudah jalan

Body
Mutation

StartDate: 03/04/2023 : Employee Type To: Contract -

EndDate: 12/31/9999 Egjployee Function PV MICT -

Employee ID To: | 00001457 x Q Employee Level -
Function To: SPV MKT

Movement Reason To: - | O
Request Reason:

Position To: 10001834 o]

Organization Unit To: Bagian Operasi

Receive Reason:

Jobh:
Employee Area To: Kantor Pusat -
Employee Status To: .
. Active
Grade To: B/STAFE -
) MNotes:
Employee Office To: KC CORPORATECE
Employee Level Type
To: Py w STAFF -
Flag To:

#7 - 04/03/2023 10:24 AM - Fiona Avangeline Jonathan
- File clipboard-202304031024-g7ptb.png added

Posisi yang sudah ada employee nya jika dipilih muncul error message.
0 position slready exists

#8 - 04/03/2023 11:18 AM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

package :
bizproc (beforesubmit)

custparam :
- YNGetPAO2Data
- CheckDataPA02

message :
- msgCheckPosition
- msgCheckData
maksih

#9 - 04/03/2023 11:22 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed
